
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>常见的makefile写法【转】 / iVAN</title>

    <meta name="description" content="常见的makefile写法【转】 转自:http://blog.csdn.net/ghostyu/article/details/7755177 版权声明:本文为博主原创文章,未经博主允许不得转载. 1.目标名称,摆脱手动设置目标名称 [cpp] view plain copy TARGET = $(notdir $(CURDIR)) all:$(TARGET) CMD.... $(CURDIR) 表示Makfile当前目录全路径 $(notdir $(path)) 表示把path目录去掉路径名,只留当前目录名 这样就可以得到M">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">常见的makefile写法【转】</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>转自：<a href="http://blog.csdn.net/ghostyu/article/details/7755177" rel="external nofollow noreferrer">http://blog.csdn.net/ghostyu/article/details/7755177</a></p>
<pre>版权声明：本文为博主原创文章，未经博主允许不得转载。

1、目标名称，摆脱手动设置目标名称

[cpp] view plain copy

    TARGET = $(notdir $(CURDIR))
    all:$(TARGET)
        CMD....  

$(CURDIR) 表示Makfile当前目录全路径

$(notdir $(path)) 表示把path目录去掉路径名，只留当前目录名
这样就可以得到Makefile当前目录名称，用目录名作为目标程序名是一个不错的选择

2、使用include，把所有Makefile共享的设置包含进来

[cpp] view plain copy

    BASE_DIR = /root/DM36x
    include $(BASE_DIR)/Rules.make  

    XDC_PATH = $(DMAI_INSTALL_DIR)/packages  

[cpp] view plain copy

    DMAI_INSTALL_DIR在Rules.make中已经设置过，这样，需要使用DMAI_INSTALL_DIR变量的时候只要include 这个Rules.make接可以了  

3、遍历遍历所有特定的源文件

[cpp] view plain copy

    SOURCES = $(wildcard *.c)
    HEADERS = $(wildcard *.h)  

如果当前目录先有 main.c  func.c  func.h 

这样SOURCES变量就等于main.c  func.c

HEADERS变量就等于func.h

这样就每次添加源文件后 就不需要重新修改makefile了

4、替换文件名称

[cpp] view plain copy

    OBJFILES = $(SOURCES:%.c=%.o)  

如果SOURCES等与3中的main.c和func.c

这样OBJFILES就等于main.o func.o 

同样摆脱了手动修改编译的中间文件名

5、交叉编译设置

[cpp] view plain copy

    VERBOSE = @
    COMPILE.c = $(VERBOSE) $(MVTOOL_PREFIX)gcc $(C_FLAGS) $(CPP_FLAGS) -c
    LINK.c = $(VERBOSE) $(MVTOOL_PREFIX)gcc $(LD_FLAGS)  

6、编译

[cpp] view plain copy

    $(OBJFILES):    %.o: %.c $(HEADERS)   

        @echo Compiling $@ from $&lt;..  

        $(COMPILE.c)  -o $@ $&lt;  

7、

[cpp] view plain copy

    install:    $(if $(wildcard $(TARGET)), install_$(TARGET))
    install_$(TARGET):
        @install -d $(EXEC_DIR)
        @install $(TARGET) $(EXEC_DIR)
        @install $(TARGET).txt $(EXEC_DIR)
        @echo
        @echo Installed $(TARGET) binaries to $(EXEC_DIR)..  

先判断当前目录是否有$(TARGET)，如果有，就执行伪目标install_$(TARGET)，这个展开了就相当于install_app，如果$(TARGET)等于app的话</pre>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-22 07:00:27</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/path/" title="path">path</a>, <a href="https://www.iamivan.net/tag/gcc/" title="gcc">gcc</a>, <a href="https://www.iamivan.net/tag/view/" title="view">view</a>, <a href="https://www.iamivan.net/tag/makefile/" title="makefile">makefile</a>, <a href="https://www.iamivan.net/tag/cpp/" title="cpp">cpp</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>常见的makefile写法【转】的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAE192M.html" rel="bookmark">kconfig-linux内核模块N多文件Makefile写法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 linux内核模块N多文件Makefile写法 现在有一个大型的用户层驱动程序(目标文件是一个.o) 要移植到内核层,以模块的形式加载.那么问题来了,如此多的源文件还是必须按照内核模块Makefile那样: obj-m: mode.o mode.o-y: a.o b.o c.o d.o ..... 这种方式吗?那不是整个驱动的代码结构都要重构?所有的源文件里的头文件目录也有重写?这不科学啊....肯定还有其它的办法对不对?!虽对内核模块有一定的了解但实际干的事很少,所以在此向大神们虚心			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4YlAJb.html" rel="bookmark">常见makefile写法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:blog.csdn.net/ghostyu/article/details/7755177 1.目标名称,摆脱手动设置目标名称 [cpp] view plaincopy   TARGET = $(notdir $(CURDIR))   all:$(TARGET)       CMD....   $(CURDIR) 表示Makfile当前目录全路径 $(notdir $(path)) 表示把path目录去掉路径名,只留当前目录名这样就可以得到Makefile当前目录名称,用目录名作为目标			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boOWvb.html" rel="bookmark">XHTML校验常见的错误写法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.标签&quot;p&quot;不能在&quot;span&quot;中使用.它只能在 applet, blockquote, body, button, center, dd, del, div, fieldset, form, iframe, ins, li, map, noframes, noscript, object, td, th 中使用. [XHTML 1.0 Transitional] 2.在标签之间发现 &amp;.请考虑使用等式实体(&amp; a m p = '&amp;'.&am			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6ddAM.html" rel="bookmark">单例模式及常见写法分析（设计模式01）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				保证一个类仅有一个实例,并提供一个该实例的全局访问点. --&lt;设计模式&gt; 单例模式的概念很简单,下面以C#语言为例子,列出常见单例写法的优缺点. 1.简单实现 public sealed class Singleton { static Singleton instance = null; public void Show() { Console.WriteLine( &quot;instance function&quot;); } private Singleton() { } publi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgRQJ3b.html" rel="bookmark">多个文件目录下Makefile的写法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.前言 目前从事于linux下程序开发,涉及到多个文件,多个目录,这时候编译文件的任务量比较大,需要写Makefile.关于Makefile的详细内容可以参考网上流传非常广泛的&lt;跟我一起写Makefile&gt;http://blog.csdn.net/haoel/article/details/2886/,作者是个大牛,非常佩服. 2.简单测试 测试程序在同一个文件中,共有func.h.func.c.main.c三个文件,Makefile写法如下所示: 1 CC = gcc 2 CFLAGS =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnwAX2z.html" rel="bookmark">Makefile之大型工程项目子目录Makefile的一种通用写法【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://www.cnblogs.com/skyofbitbit/p/3680753.html 管理Linux环境下的C/C++大型项目,如果有一个智能的Build System会起到事半功倍的效果,本文描述Linux环境下大型工程项目子目录Makefile的一种通用写法,使用该方法,当该子目录内的文件有增删时无需对Makefile进行改动,可以说相当的智能. 下面先贴代码(为减小篇幅,一些非关键的代码被去掉,本方法的局限是用于一个C文件生成一个可执行文件的场合): ROOTDIR =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYklaQz.html" rel="bookmark">ISAPI-REWRITE伪静态规则写法以及说明&lowbar;服务器其它</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				REWRITE伪静态 一.Apache配置: 进入/etc/httpd/conf/目录下,打开httpd.conf文件. 启用rewrite # LoadModule rewrite_module modules/mod_rewrite.so 去除前面的 # 启用.htaccess AllowOverride None 修改为: AllowOverride All ------------------------------------------------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRq1jxb.html" rel="bookmark">使用Autoconf检测MySQL相关的软件包</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 本文的目标 目的:编译时,根据configure参数(如果有--with-mysql),选择性编译对应的MySQL相关的功能. 实现:使用已经写好的m4脚本:ax_lib_mysql.m4 2. 如何利用Autoconf实现 大部分你想到的事情都已经有人做过尝试了.这件事情也不例外,Autoconf中有很多脚本和指令帮你做事情.这里,需要使用ax_lib_mysql.m4来帮助我们.先把该文件放到程序/工程目录中,并在configure.ac中新增如下指令来检测MySQL库文件和版本: m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrnGep.html" rel="bookmark">用Autoconf检测MySQL软件包的教程&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在你的程序(或者工程)中,如果编译阶段需要检测当前环境中是否存在MySQL客户端相关的库文件时,你可以使用Autoconf来帮你完成这个工作,轻盈.优雅.无痛.阅读本文需要了解简单GNU Autoconf使用.1. 本文的目标 目的:编译时,根据configure参数(如果有--with-mysql),选择性编译对应的MySQL相关的功能. 实现:使用已经写好的m4脚本:ax_lib_mysql.m42. 如何利用Autoconf实现 大部分你想到的事情都已经有人做过尝试了.这件事情也不例外,A			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr224M.html" rel="bookmark" class="title">关于APPLE WATCH官方提到的10个设计小技巧</a>
					<div>
						  今天这篇是国外某位亲历WWDC 2015的设计师写的,他把官网视频里提到的小技巧都提炼成图文分享出来,特别实用,推荐学习 &gt;&gt;&gt; 欢迎关注译者微信号:设计译言唷. 对于设计者来说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrg7xp.html" rel="bookmark" class="title">Photoshop非主流图片&colon;橙绿色调非主流美女</a>
					<div>
						橙色与绿色是一组应用非常广泛的颜色.调色过程也不复杂.只需要把人物肤色部分调成橙黄色,背景及其他暗部调成暗绿色即可.原图 最终效果 [1] [2] [3] [4] [5] [6] [7] [8] [9 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4jE1M.html" rel="bookmark" class="title">设计理论：改进的网页评论提交表单</a>
					<div>
						Dmitry这篇设计评论表单很有启发意义,尤其提到关键的评论内容.评论者信息录入顺序问题.好比我们在日常沟通时,对信息的反馈都是第一诉求,写信.写邮件.甚至写文章署名都是这步骤.于是,看完文章我便毫不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7LKdb.html" rel="bookmark" class="title">用Profile Port Checker解决WebSphere Application Server端口冲突问题</a>
					<div>
						引言 在客户使用 WebSphere Application Server 时可能遇到这样的问题,同一台物理主机上的一 个 server 工作正常,而另一个 server 却不能正常启动,这可能是因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNERR7b.html" rel="bookmark" class="title">Python中的rfind&lpar;&rpar;方法使用详解</a>
					<div>
						  这篇文章主要介绍了Python中的rfind()方法使用详解,是Python入门中的基础知识,需要的朋友可以参考下 rfind()方法返回所在子str 被找到的最后一个索引,或者-1,如果没有这样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42Yx8M.html" rel="bookmark" class="title">如何在word中画扇形统计图</a>
					<div>
						  方法一.word2007版的可以做,其它版没试过,步骤,打开word---工具栏上&quot;插入&quot;--图表--饼图--弹出EXCEL文档---把你的数据输进去,确定即可完成扇形统计图的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkLPOb.html" rel="bookmark" class="title">Word2013怎样快速制作虚线对齐</a>
					<div>
						  1.双击桌面Word2013快捷图标启动该程序,输入下面的内容,任意点击标尺上的部分,出现制表符,这是我们要对齐的地方. 2.将光标定位到需要对齐的文字之间,按下Tab键,就将文字分开了. 3.这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXqPjp.html" rel="bookmark" class="title">如何将pdf转换成jpg</a>
					<div>
						第一步:大家需要下载安装迅捷pdf转换成jpg转换器. 迅捷pdf转换成jpg转换器拥有八大转换模式,其中 &quot;文件转图片&quot;模式可以实现pdf.word.Excel.PPT等文件转换 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oyBWb.html" rel="bookmark" class="title">Mac与Windows如何创建局域网共享文件夹并互相访问</a>
					<div>
						  使用MAC系统和Windows系统的电脑建立起局域网后,怎么样才能设置共享文件夹,并使它们可以互相访问呢?对于这个问题的解决方法,就让小编来告诉你吧. 一:Mac访问Windows (Window ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NXRNM.html" rel="bookmark" class="title">Android Listview滑动时不加载数据，停下来时加载数据，让App更优</a>
					<div>
						转载:http://blog.csdn.net/yy1300326388/article/details/45153813 数据源配置(Adapter) package com.zhengsongla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNPKlz.html" rel="bookmark" class="title">单片机 交流电流测量 如何得到一个0-5V的直流电压让单片机处理？</a>
					<div>
						问题描述 单片机 交流电流测量 如何得到一个0-5V的直流电压让单片机处理? 现在想用电流互感器 后接一个整流桥 串联电阻测量 是否可行? 解决方案 先把交流变为直流:http://zhidao.ba ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQGBOp.html" rel="bookmark" class="title">sharepoint-关于INFOPATH 表单的问题</a>
					<div>
						问题描述 关于INFOPATH 表单的问题 兄弟的oa 系统是垃圾的SHAREPOINT2010 ,使用infopath 做表单.可是出现一个问题无法解决,就是如下图. 哪位高手可以给我指点啊,我百度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe0wKb.html" rel="bookmark" class="title">DPA 9&period;1&period;85 升级到DPA 10&period;0&period;352流程</a>
					<div>
						 SolarWinds DPA的升级其实是一件非常简单的事情,这里介绍一下从DPA 9.1.95升级到 DPA 10.0.352版本的流程.为什么要升级呢? DPA给用户发的邮件已经写的非常清楚了(如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR2eEb.html" rel="bookmark" class="title">你要不要升级Windows 10 TH2？先看看它的十大变化</a>
					<div>
						1.增加了彩色标题栏 在新版&quot;个性化&quot;的面板中,用户可以指定标题栏所用的颜色,而对比之前的Office 2016彩色标题栏,Windows 10 TH2是没有默认开启的.所以,有很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5mQap.html" rel="bookmark" class="title">sql server中批量插入与更新两种解决方案分享&lpar;存储过程&rpar;&lowbar;MsSql</a>
					<div>
						1.游标方式 复制代码 代码如下: DECLARE @Data NVARCHAR(max) SET @Data='1,tanw,2,keenboy' --Id,Name DECLARE @dataIt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo57VM.html" rel="bookmark" class="title">提高品牌对于小企业的发展更加的重要了</a>
					<div>
						据有关消息称,阿里巴巴集团宣布,&quot;小企业代言人&quot;将带领国内明星小企业出击&quot;中国制造&quot;的品牌大战,符合他条件的客户可以获得和阿里巴巴一起组团在央视黄金时段打广告的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgegKM.html" rel="bookmark" class="title">用hibernate在修改一条数据时没有覆盖旧的记录，反而添加了一条新纪录，怎么回事？</a>
					<div>
						问题描述 用hibernate在修改一条数据时没有覆盖旧的记录,反而添加了一条新纪录,怎么回事? 我用的是mysql的数据库, jsp &lt;%@ page language=&quot;java& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyNG3z.html" rel="bookmark" class="title">java 时间比较</a>
					<div>
						问题描述 SimpleDateFormat sdf=new SimpleDateFormat(&quot;yyyy-MM-dd&quot;);Date dt=sdf.parse(&quot;1901- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z444Kjz.html" rel="bookmark" class="title">java异常处理机制示例&lpar;java抛出异常、捕获、断言&rpar;&lowbar;java</a>
					<div>
						这是一个介绍基本异常处理的小例子,包括抛出,捕获,断言,日志. Java异常处理通过5个关键字try.catch.throw.throws.finally进行管理.基本过程是用try语句块包住要监视的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZeeQb.html" rel="bookmark" class="title">初学IOS 求指教指针问题。。</a>
					<div>
						问题描述 我想知道,如果我想通过调用calculateAverage函数改变C的值,而不是通过函数返回值来改变.static void calculateAverage(int a, int b, i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6XvqM.html" rel="bookmark" class="title">RAC环境下的阻塞&lpar;blocking blocked&rpar;</a>
					<div>
						      RAC环境下的阻塞不同于单实例情形,因为我们需要考虑到位于不同实例的session.也就是说之前查询的v$session,v$lock相应的应变化为全局范围来查找.本文提供了2个查询脚本, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqdD2b.html" rel="bookmark" class="title">创意主导侧翻透明显示屏或成为未来手机发展趋势</a>
					<div>
						北京时间5月8日消息,手机会朝什么方向发展?软件的神马创新都弱爆了,能侧翻的透明显示屏才是王道.谷歌都能在眼镜这么普通的东西上做文章,我们是不是该考虑换个角度,重新解读一下手机的未来.或许以后的手机再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9N4Y4p.html" rel="bookmark" class="title">jQuery Mobile中&dollar;&period;mobile&period;buttonMarkup方法使用详解</a>
					<div>
						最近在群里遇到多数网友提到$.mobile.buttonMarkup()方法的使用.我这里就列了一下api的使用说明,以后大家看博客就能解决问题.如有不正确的地方,请留言指出! jQuery Mobi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdlRnp.html" rel="bookmark" class="title">网购无理由退换货新规出台</a>
					<div>
						近日国家商务部发布&lt;第三方电子商务交易平台服务规范&gt;,建议消费者在购物后有一段冷静思考期,若认为货物不妥可申请无理由退货.记者发现,不少网店近日出招应对这一新规,希望能避开那些利用新规来& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1R9EM.html" rel="bookmark" class="title">优云Web新功能发布，邀您在线免费体验！</a>
					<div>
						你是否还在因为无法通过大数据精准分析需求而烦恼? 你是否还在因为无法直观呈现用户的行为而头大? 你是否还在因为怎么优化页面布局而愁眉苦脸? 正所谓&quot;一图胜千言&quot;,一张色彩缤纷的图片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdZkxz.html" rel="bookmark" class="title">莫言小说全集APP 手机阅读软件下载推荐</a>
					<div>
						大家都知道,2012年度诺贝尔文学奖得主是我国作家莫言.而他成为了首个获得诺贝尔文学奖的中国籍作家.评委会给出的理由是&quot;莫言的魔幻现实主义作品融合了民间故事.历史和当代&quot;.而作为一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YBanp.html" rel="bookmark" class="title">百度近期算法调整 打击严重影响搜索结果质量的手段</a>
					<div>
						摘要: 最近一个多月以来百度算法调整特别大,好几次大的动作,做出这些算法调整,一个是因为黑帽SEO的太过肆无忌惮,需要通过算法来打击这些严重影响搜索结果质量的手段,另外一个是 最近一个多月以来百度算法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW0kqM.html" rel="bookmark" class="title">SSH加强思科路由器远程管理安全</a>
					<div>
						一个恶意用户完全可能通过类似Sniffer这样的嗅探工具,在管理员主机或者适当的接口进行本地监听获取管理员登录Cisoc路由器的密码. 那么我们如何利用SSH加强思科路由器远程管理呢?1.安全测试笔者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgP2mZp.html" rel="bookmark" class="title">网站收费将成《纽约时报》重要收入来源</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 新华网北京3月12日专电&lt;纽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0OP97b.html" rel="bookmark" class="title">《精通软件性能测试与LoadRunner最佳实战》&mdash;第2章2&period;7节 测试场景运行</a>
					<div>
						2.7 测试场景运行精通软件性能测试与LoadRunner最佳实战测试场景运行是关系到测试结果是否准确的一个重要过程.经常有很多做测试的人员花费了大量的时间和精力去做性能测试,可是做出来的测试结果不理 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
